-- RSA LAB

import Data.Char

type Message = [Int]

stringToMessage::String -> Message
stringToMessage = map ord

messageToString::Message -> String
messageToString = map chr

pad::Int -> Message -> Message
pad block msg = 
	let msgSize = length msg in
	let gap = mod msgSize block in
	let padding = block - gap in
	msg ++ [padding | _ <- [1..padding] ]
